# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.i18n
# Libre Office Version: 7.4
from __future__ import annotations
from typing import Protocol, Any
from typing_extensions import Literal


class TransliterationModulesProto(Protocol):
    """Protocol for TransliterationModules"""

    @property
    def typeName(self) -> Literal["com.sun.star.i18n.TransliterationModules"]:
        ...
    value: Any
    END_OF_MODULE: TransliterationModulesProto
    FULLWIDTH_HALFWIDTH: TransliterationModulesProto
    HALFWIDTH_FULLWIDTH: TransliterationModulesProto
    HIRAGANA_KATAKANA: TransliterationModulesProto
    IGNORE_CASE: TransliterationModulesProto
    IGNORE_KANA: TransliterationModulesProto
    IGNORE_MASK: TransliterationModulesProto
    IGNORE_WIDTH: TransliterationModulesProto
    IgnoreBaFa_ja_JP: TransliterationModulesProto
    IgnoreHyuByu_ja_JP: TransliterationModulesProto
    IgnoreIandEfollowedByYa_ja_JP: TransliterationModulesProto
    IgnoreIterationMark_ja_JP: TransliterationModulesProto
    IgnoreKiKuFollowedBySa_ja_JP: TransliterationModulesProto
    IgnoreMiddleDot_ja_JP: TransliterationModulesProto
    IgnoreMinusSign_ja_JP: TransliterationModulesProto
    IgnoreProlongedSoundMark_ja_JP: TransliterationModulesProto
    IgnoreSeZe_ja_JP: TransliterationModulesProto
    IgnoreSeparator_ja_JP: TransliterationModulesProto
    IgnoreSize_ja_JP: TransliterationModulesProto
    IgnoreSpace_ja_JP: TransliterationModulesProto
    IgnoreTiJi_ja_JP: TransliterationModulesProto
    IgnoreTraditionalKana_ja_JP: TransliterationModulesProto
    IgnoreTraditionalKanji_ja_JP: TransliterationModulesProto
    IgnoreZiZu_ja_JP: TransliterationModulesProto
    KATAKANA_HIRAGANA: TransliterationModulesProto
    LOWERCASE_UPPERCASE: TransliterationModulesProto
    LargeToSmall_ja_JP: TransliterationModulesProto
    NON_IGNORE_MASK: TransliterationModulesProto
    NumToTextFormalHangul_ko: TransliterationModulesProto
    NumToTextFormalLower_ko: TransliterationModulesProto
    NumToTextFormalUpper_ko: TransliterationModulesProto
    NumToTextLower_zh_CN: TransliterationModulesProto
    NumToTextLower_zh_TW: TransliterationModulesProto
    NumToTextUpper_zh_CN: TransliterationModulesProto
    NumToTextUpper_zh_TW: TransliterationModulesProto
    SmallToLarge_ja_JP: TransliterationModulesProto
    UPPERCASE_LOWERCASE: TransliterationModulesProto

END_OF_MODULE: TransliterationModulesProto
"""
"""
FULLWIDTH_HALFWIDTH: TransliterationModulesProto
"""
Transliterate a string from full width character to half width character.
"""
HALFWIDTH_FULLWIDTH: TransliterationModulesProto
"""
Transliterate a string from half width character to full width character.
"""
HIRAGANA_KATAKANA: TransliterationModulesProto
"""
Transliterate a Japanese string from Hiragana to Katakana.
"""
IGNORE_CASE: TransliterationModulesProto
"""
Ignore case when comparing strings by transliteration service.
"""
IGNORE_KANA: TransliterationModulesProto
"""
Ignore Hiragana and Katakana when comparing strings by transliteration service.
"""
IGNORE_MASK: TransliterationModulesProto
"""
"""
IGNORE_WIDTH: TransliterationModulesProto
"""
Ignore full width and half width character when comparing strings by transliteration service.

Ignore full width and half width characters when comparing strings by transliteration service.
"""
IgnoreBaFa_ja_JP: TransliterationModulesProto
"""
Ignore Katakana and Hiragana Ba/Gua and Ha/Fa in Japanese fuzzy search.
"""
IgnoreHyuByu_ja_JP: TransliterationModulesProto
"""
Ignore Katakana and Hiragana Hyu/Fyu and Byu/Gyu in Japanese fuzzy search.
"""
IgnoreIandEfollowedByYa_ja_JP: TransliterationModulesProto
"""
Ignore Katakana YA/A which follows the character in either I or E row in Japanese fuzzy search.

Ignore Katakana YA/A following the character in either I or E row in Japanese fuzzy search.
"""
IgnoreIterationMark_ja_JP: TransliterationModulesProto
"""
Ignore Hiragana and Katakana iteration mark in Japanese fuzzy search.
"""
IgnoreKiKuFollowedBySa_ja_JP: TransliterationModulesProto
"""
Ignore Katakana KI/KU which follows the character in SA column in Japanese fuzzy search.

Ignore Katakana KI/KU following the character in SA column in Japanese fuzzy search.
"""
IgnoreMiddleDot_ja_JP: TransliterationModulesProto
"""
Ignore middle dot in Japanese fuzzy search.
"""
IgnoreMinusSign_ja_JP: TransliterationModulesProto
"""
Ignore dash or minus sign in Japanese fuzzy search.
"""
IgnoreProlongedSoundMark_ja_JP: TransliterationModulesProto
"""
Ignore Japanese prolonged sound mark in Japanese fuzzy search.
"""
IgnoreSeZe_ja_JP: TransliterationModulesProto
"""
Ignore Katakana and Hiragana Se/Sye and Ze/Je in Japanese fuzzy search.
"""
IgnoreSeparator_ja_JP: TransliterationModulesProto
"""
Ignore separator punctuations in Japanese fuzzy search.
"""
IgnoreSize_ja_JP: TransliterationModulesProto
"""
Ignore Japanese normal and small sized character in Japanese fuzzy search.
"""
IgnoreSpace_ja_JP: TransliterationModulesProto
"""
Ignore white space characters, include space, TAB, return, etc. in Japanese fuzzy search.
"""
IgnoreTiJi_ja_JP: TransliterationModulesProto
"""
Ignore Katakana and Hiragana Tsui/Tea/Ti and Dyi/Ji in Japanese fuzzy search.
"""
IgnoreTraditionalKana_ja_JP: TransliterationModulesProto
"""
Ignore Japanese traditional Katakana and Hiragana character in Japanese fuzzy search.

Ignore Japanese traditional Katakana and Hiragana characters in Japanese fuzzy search.
"""
IgnoreTraditionalKanji_ja_JP: TransliterationModulesProto
"""
Ignore Japanese traditional Kanji character in Japanese fuzzy search.

Ignore Japanese traditional Kanji characters in Japanese fuzzy search.
"""
IgnoreZiZu_ja_JP: TransliterationModulesProto
"""
Ignore Katakana and Hiragana Zi/Zi and Zu/Zu in Japanese fuzzy search.
"""
KATAKANA_HIRAGANA: TransliterationModulesProto
"""
Transliterate a Japanese string from Katakana to Hiragana.
"""
LOWERCASE_UPPERCASE: TransliterationModulesProto
"""
Transliterate a string from lower case to upper case.
"""
LargeToSmall_ja_JP: TransliterationModulesProto
"""
transliterate Japanese normal sized character to small sized character
"""
NON_IGNORE_MASK: TransliterationModulesProto
"""
"""
NumToTextFormalHangul_ko: TransliterationModulesProto
"""
Transliterate an ASCII number string to formal Korean Hangul number string in spellout format.
"""
NumToTextFormalLower_ko: TransliterationModulesProto
"""
Transliterate an ASCII number string to formal Korean Hanja lower case number string in spellout format.
"""
NumToTextFormalUpper_ko: TransliterationModulesProto
"""
Transliterate an ASCII number string to formal Korean Hanja upper case number string in spellout format.
"""
NumToTextLower_zh_CN: TransliterationModulesProto
"""
Transliterate an ASCII number string to Simplified Chinese lower case number string in spellout format.
"""
NumToTextLower_zh_TW: TransliterationModulesProto
"""
Transliterate an ASCII number string to Traditional Chinese lower case number string in spellout format.
"""
NumToTextUpper_zh_CN: TransliterationModulesProto
"""
Transliterate an ASCII number string to Simplified Chinese upper case number string in spellout format.
"""
NumToTextUpper_zh_TW: TransliterationModulesProto
"""
Transliterate an ASCII number string to Traditional Chinese upper case number string in spellout format.
"""
SmallToLarge_ja_JP: TransliterationModulesProto
"""
transliterate Japanese small sized character to normal sized character
"""
UPPERCASE_LOWERCASE: TransliterationModulesProto
"""
Transliterate a string from upper case to lower case.
"""

