# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.ucb
# Libre Office Version: 7.4
from __future__ import annotations
from typing import Protocol, Any
from typing_extensions import Literal


class OutgoingMessageStateProto(Protocol):
    """Protocol for OutgoingMessageState"""

    @property
    def typeName(self) -> Literal["com.sun.star.ucb.OutgoingMessageState"]:
        ...
    value: Any
    COMPLETELY_LOCALLY_SENT: OutgoingMessageStateProto
    CONFIRMED: OutgoingMessageStateProto
    EXTERNAL_ERROR: OutgoingMessageStateProto
    NONRECOVERABLE_LOCAL_ERROR: OutgoingMessageStateProto
    PARTIALLY_LOCALLY_SENT: OutgoingMessageStateProto
    RECOVERABLE_LOCAL_ERROR: OutgoingMessageStateProto
    WAITING_CONFIRMATION: OutgoingMessageStateProto
    WRITTEN: OutgoingMessageStateProto

COMPLETELY_LOCALLY_SENT: OutgoingMessageStateProto
"""
Message has been sent upstream to all recipients.
"""
CONFIRMED: OutgoingMessageStateProto
"""
Recipient confirmed reading.
"""
EXTERNAL_ERROR: OutgoingMessageStateProto
"""
Global fatal error (e.g.

last member in SMTP chain could not deliver the message).
"""
NONRECOVERABLE_LOCAL_ERROR: OutgoingMessageStateProto
"""
Local fatal error (e.g.

first SMTP server upstream did not accept the message).
"""
PARTIALLY_LOCALLY_SENT: OutgoingMessageStateProto
"""
Message has been sent upstream to some recipients.
"""
RECOVERABLE_LOCAL_ERROR: OutgoingMessageStateProto
"""
Local, non-fatal error (e.g.

network temporarily not available).
"""
WAITING_CONFIRMATION: OutgoingMessageStateProto
"""
Message was sent; we are waiting for confirmation.
"""
WRITTEN: OutgoingMessageStateProto
"""
Message has just been placed into the out tray.
"""

