# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.ucb
# Libre Office Version: 7.4
from __future__ import annotations
from typing import Protocol, Any
from typing_extensions import Literal


class WebDAVHTTPMethodProto(Protocol):
    """Protocol for WebDAVHTTPMethod"""

    @property
    def typeName(self) -> Literal["com.sun.star.ucb.WebDAVHTTPMethod"]:
        ...
    value: Any
    CONNECT: WebDAVHTTPMethodProto
    COPY: WebDAVHTTPMethodProto
    DELETE: WebDAVHTTPMethodProto
    GET: WebDAVHTTPMethodProto
    HEAD: WebDAVHTTPMethodProto
    LOCK: WebDAVHTTPMethodProto
    MKCOL: WebDAVHTTPMethodProto
    MOVE: WebDAVHTTPMethodProto
    OPTIONS: WebDAVHTTPMethodProto
    PATCH: WebDAVHTTPMethodProto
    POST: WebDAVHTTPMethodProto
    PROPFIND: WebDAVHTTPMethodProto
    PROPPATCH: WebDAVHTTPMethodProto
    PUT: WebDAVHTTPMethodProto
    TRACE: WebDAVHTTPMethodProto
    UNLOCK: WebDAVHTTPMethodProto

CONNECT: WebDAVHTTPMethodProto
"""
HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
"""
COPY: WebDAVHTTPMethodProto
"""
Copy the source to the target folder.

WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
"""
DELETE: WebDAVHTTPMethodProto
"""
HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
"""
GET: WebDAVHTTPMethodProto
"""
Get a list of all folders.

HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
"""
HEAD: WebDAVHTTPMethodProto
"""
HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
"""
LOCK: WebDAVHTTPMethodProto
"""
WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
"""
MKCOL: WebDAVHTTPMethodProto
"""
WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
"""
MOVE: WebDAVHTTPMethodProto
"""
Move the source to the target folder.

WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
"""
OPTIONS: WebDAVHTTPMethodProto
"""
HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
"""
PATCH: WebDAVHTTPMethodProto
"""
HTTP request method as defined in RFC 5789: PATCH Method for HTTP
"""
POST: WebDAVHTTPMethodProto
"""
HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
"""
PROPFIND: WebDAVHTTPMethodProto
"""
WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
"""
PROPPATCH: WebDAVHTTPMethodProto
"""
WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
"""
PUT: WebDAVHTTPMethodProto
"""
HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
"""
TRACE: WebDAVHTTPMethodProto
"""
HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
"""
UNLOCK: WebDAVHTTPMethodProto
"""
WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
"""

