# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.xml.crypto
# Libre Office Version: 7.4
from __future__ import annotations
from typing import Protocol, Any
from typing_extensions import Literal


class SecurityOperationStatusProto(Protocol):
    """Protocol for SecurityOperationStatus"""

    @property
    def typeName(self) -> Literal["com.sun.star.xml.crypto.SecurityOperationStatus"]:
        ...
    value: Any
    ASSERTION: SecurityOperationStatusProto
    CERT_HAS_EXPIRED: SecurityOperationStatusProto
    CERT_ISSUER_FAILED: SecurityOperationStatusProto
    CERT_NOT_FOUND: SecurityOperationStatusProto
    CERT_NOT_YET_VALID: SecurityOperationStatusProto
    CERT_REVOKED: SecurityOperationStatusProto
    CERT_VERIFY_FAILED: SecurityOperationStatusProto
    CRYPTO_FAILED: SecurityOperationStatusProto
    DATA_NOT_MATCH: SecurityOperationStatusProto
    DISABLED: SecurityOperationStatusProto
    DSIG_INVALID_REFERENCE: SecurityOperationStatusProto
    DSIG_NO_REFERENCES: SecurityOperationStatusProto
    ENGINE_FAILED: SecurityOperationStatusProto
    INVALID_DATA: SecurityOperationStatusProto
    INVALID_FORMAT: SecurityOperationStatusProto
    INVALID_KEY_DATA: SecurityOperationStatusProto
    INVALID_KEY_DATA_SIZE: SecurityOperationStatusProto
    INVALID_NODE: SecurityOperationStatusProto
    INVALID_NODE_ATTRIBUTE: SecurityOperationStatusProto
    INVALID_NODE_CONTENT: SecurityOperationStatusProto
    INVALID_OPERATION: SecurityOperationStatusProto
    INVALID_RESULT: SecurityOperationStatusProto
    INVALID_SIZE: SecurityOperationStatusProto
    INVALID_STATUS: SecurityOperationStatusProto
    INVALID_TRANSFORM: SecurityOperationStatusProto
    INVALID_TRANSFORM_KEY: SecurityOperationStatusProto
    INVALID_TYPE: SecurityOperationStatusProto
    INVALID_URI_TYPE: SecurityOperationStatusProto
    IO_FAILED: SecurityOperationStatusProto
    KEYDATA_DISABLED: SecurityOperationStatusProto
    KEY_DATA_ALREADY_EXIST: SecurityOperationStatusProto
    KEY_DATA_NOT_FOUND: SecurityOperationStatusProto
    KEY_NOT_FOUND: SecurityOperationStatusProto
    MALLOC_FAILED: SecurityOperationStatusProto
    MAX_ENCKEY_LEVEL: SecurityOperationStatusProto
    MAX_RETRIEVALS_LEVEL: SecurityOperationStatusProto
    MAX_RETRIEVAL_TYPE_MISMATCH: SecurityOperationStatusProto
    MISSING_NODE_ATTRIBUTE: SecurityOperationStatusProto
    NODE_ALREADY_PRESENT: SecurityOperationStatusProto
    NODE_NOT_FOUND: SecurityOperationStatusProto
    NOT_IMPLEMENTED: SecurityOperationStatusProto
    OPERATION_SUCCEEDED: SecurityOperationStatusProto
    RUNTIMEERROR_FAILED: SecurityOperationStatusProto
    STRDUP_FAILED: SecurityOperationStatusProto
    TRANSFORM_DISABLED: SecurityOperationStatusProto
    TRANSFORM_SAME_DOCUMENT_REQUIRED: SecurityOperationStatusProto
    UNEXPECTED_NODE: SecurityOperationStatusProto
    UNKNOWN: SecurityOperationStatusProto
    XML_FAILED: SecurityOperationStatusProto
    XSLT_FAILED: SecurityOperationStatusProto

ASSERTION: SecurityOperationStatusProto
"""
"""
CERT_HAS_EXPIRED: SecurityOperationStatusProto
"""
"""
CERT_ISSUER_FAILED: SecurityOperationStatusProto
"""
"""
CERT_NOT_FOUND: SecurityOperationStatusProto
"""
"""
CERT_NOT_YET_VALID: SecurityOperationStatusProto
"""
"""
CERT_REVOKED: SecurityOperationStatusProto
"""
"""
CERT_VERIFY_FAILED: SecurityOperationStatusProto
"""
"""
CRYPTO_FAILED: SecurityOperationStatusProto
"""
"""
DATA_NOT_MATCH: SecurityOperationStatusProto
"""
"""
DISABLED: SecurityOperationStatusProto
"""
"""
DSIG_INVALID_REFERENCE: SecurityOperationStatusProto
"""
"""
DSIG_NO_REFERENCES: SecurityOperationStatusProto
"""
"""
ENGINE_FAILED: SecurityOperationStatusProto
"""
The following constants are derived from XMLSec error definitions, as following:

XMLSEC_ERRORS_R_XMLSEC_FAILED XMLSEC_ERRORS_R_MALLOC_FAILED XMLSEC_ERRORS_R_STRDUP_FAILED XMLSEC_ERRORS_R_CRYPTO_FAILED XMLSEC_ERRORS_R_XML_FAILED XMLSEC_ERRORS_R_XSLT_FAILED XMLSEC_ERRORS_R_IO_FAILED XMLSEC_ERRORS_R_DISABLED XMLSEC_ERRORS_R_NOT_IMPLEMENTED XMLSEC_ERRORS_R_INVALID_SIZE XMLSEC_ERRORS_R_INVALID_DATA XMLSEC_ERRORS_R_INVALID_RESULT XMLSEC_ERRORS_R_INVALID_TYPE XMLSEC_ERRORS_R_INVALID_OPERATION XMLSEC_ERRORS_R_INVALID_STATUS XMLSEC_ERRORS_R_INVALID_FORMAT XMLSEC_ERRORS_R_DATA_NOT_MATCH XMLSEC_ERRORS_R_INVALID_NODE XMLSEC_ERRORS_R_INVALID_NODE_CONTENT XMLSEC_ERRORS_R_INVALID_NODE_ATTRIBUTE XMLSEC_ERRORS_R_MISSING_NODE_ATTRIBUTE XMLSEC_ERRORS_R_NODE_ALREADY_PRESENT XMLSEC_ERRORS_R_UNEXPECTED_NODE XMLSEC_ERRORS_R_NODE_NOT_FOUND XMLSEC_ERRORS_R_INVALID_TRANSFORM XMLSEC_ERRORS_R_INVALID_TRANSFORM_KEY XMLSEC_ERRORS_R_INVALID_URI_TYPE XMLSEC_ERRORS_R_TRANSFORM_SAME_DOCUMENT_REQUIRED XMLSEC_ERRORS_R_TRANSFORM_DISABLED XMLSEC_ERRORS_R_INVALID_KEY_DATA XMLSEC_ERRORS_R_KEY_DATA_NOT_FOUND XMLSEC_ERRORS_R_KEY_DATA_ALREADY_EXIST XMLSEC_ERRORS_R_INVALID_KEY_DATA_SIZE XMLSEC_ERRORS_R_KEY_NOT_FOUND XMLSEC_ERRORS_R_KEYDATA_DISABLED XMLSEC_ERRORS_R_MAX_RETRIEVALS_LEVEL XMLSEC_ERRORS_R_MAX_RETRIEVAL_TYPE_MISMATCH XMLSEC_ERRORS_R_MAX_ENCKEY_LEVEL XMLSEC_ERRORS_R_CERT_VERIFY_FAILED XMLSEC_ERRORS_R_CERT_NOT_FOUND XMLSEC_ERRORS_R_CERT_REVOKED XMLSEC_ERRORS_R_CERT_ISSUER_FAILED XMLSEC_ERRORS_R_CERT_NOT_YET_VALID XMLSEC_ERRORS_R_CERT_HAS_EXPIRED XMLSEC_ERRORS_R_DSIG_NO_REFERENCES XMLSEC_ERRORS_R_DSIG_INVALID_REFERENCE XMLSEC_ERRORS_R_ASSERTION XMLSEC_ERRORS_MAX_NUMBER
"""
INVALID_DATA: SecurityOperationStatusProto
"""
"""
INVALID_FORMAT: SecurityOperationStatusProto
"""
"""
INVALID_KEY_DATA: SecurityOperationStatusProto
"""
"""
INVALID_KEY_DATA_SIZE: SecurityOperationStatusProto
"""
"""
INVALID_NODE: SecurityOperationStatusProto
"""
"""
INVALID_NODE_ATTRIBUTE: SecurityOperationStatusProto
"""
"""
INVALID_NODE_CONTENT: SecurityOperationStatusProto
"""
"""
INVALID_OPERATION: SecurityOperationStatusProto
"""
"""
INVALID_RESULT: SecurityOperationStatusProto
"""
"""
INVALID_SIZE: SecurityOperationStatusProto
"""
"""
INVALID_STATUS: SecurityOperationStatusProto
"""
"""
INVALID_TRANSFORM: SecurityOperationStatusProto
"""
"""
INVALID_TRANSFORM_KEY: SecurityOperationStatusProto
"""
"""
INVALID_TYPE: SecurityOperationStatusProto
"""
"""
INVALID_URI_TYPE: SecurityOperationStatusProto
"""
"""
IO_FAILED: SecurityOperationStatusProto
"""
"""
KEYDATA_DISABLED: SecurityOperationStatusProto
"""
"""
KEY_DATA_ALREADY_EXIST: SecurityOperationStatusProto
"""
"""
KEY_DATA_NOT_FOUND: SecurityOperationStatusProto
"""
"""
KEY_NOT_FOUND: SecurityOperationStatusProto
"""
"""
MALLOC_FAILED: SecurityOperationStatusProto
"""
"""
MAX_ENCKEY_LEVEL: SecurityOperationStatusProto
"""
"""
MAX_RETRIEVALS_LEVEL: SecurityOperationStatusProto
"""
"""
MAX_RETRIEVAL_TYPE_MISMATCH: SecurityOperationStatusProto
"""
"""
MISSING_NODE_ATTRIBUTE: SecurityOperationStatusProto
"""
"""
NODE_ALREADY_PRESENT: SecurityOperationStatusProto
"""
"""
NODE_NOT_FOUND: SecurityOperationStatusProto
"""
"""
NOT_IMPLEMENTED: SecurityOperationStatusProto
"""
"""
OPERATION_SUCCEEDED: SecurityOperationStatusProto
"""
"""
RUNTIMEERROR_FAILED: SecurityOperationStatusProto
"""
"""
STRDUP_FAILED: SecurityOperationStatusProto
"""
"""
TRANSFORM_DISABLED: SecurityOperationStatusProto
"""
"""
TRANSFORM_SAME_DOCUMENT_REQUIRED: SecurityOperationStatusProto
"""
"""
UNEXPECTED_NODE: SecurityOperationStatusProto
"""
"""
UNKNOWN: SecurityOperationStatusProto
"""
"""
XML_FAILED: SecurityOperationStatusProto
"""
"""
XSLT_FAILED: SecurityOperationStatusProto
"""
"""

